- [HTTP request](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/projects.locations/bulkDeleteFeedbackLabels#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/projects.locations/bulkDeleteFeedbackLabels#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/projects.locations/bulkDeleteFeedbackLabels#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/projects.locations/bulkDeleteFeedbackLabels#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/projects.locations/bulkDeleteFeedbackLabels#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/projects.locations/bulkDeleteFeedbackLabels#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/projects.locations/bulkDeleteFeedbackLabels#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/projects.locations/bulkDeleteFeedbackLabels#try-it)

Delete feedback labels in bulk using a filter.

### HTTP request

`POST https://{endpoint}/v1alpha1/{parent=projects/*/locations/*}:bulkDeleteFeedbackLabels`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest#rest_endpoints).

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource for new feedback labels. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "filter": string } ``` |

| Fields ||
|---|---|
| `filter` | `string` Optional. A filter to reduce results to a specific subset. Supports disjunctions (OR) and conjunctions (AND). Supported fields: - `issueModelId` - `qaQuestionId` - `qaScorecardId` - `min_create_time` - `max_create_time` - `min_update_time` - `max_update_time` - `feedbackLabelType`: QUALITY_AI, TOPIC_MODELING |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permissions on the `parent` resource:

- `contactcenterinsights.authorizedFeedbackLabels.delete`
- `contactcenterinsights.datasetFeedbackLabels.delete`
- `contactcenterinsights.feedbackLabels.delete`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).